Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.assembler
Class AssemblerVocab

    java.lang.Object
      com.hp.hpl.jena.sdb.assembler.AssemblerVocab

    public class AssemblerVocab

extends Object

Field Summary
`static com.hp.hpl.jena.rdf.model.Resource` | `DatasetAssemblerType`
`static com.hp.hpl.jena.rdf.model.Property` | `featureNameProperty`
`static com.hp.hpl.jena.rdf.model.Property` | `featureProperty`
`static com.hp.hpl.jena.rdf.model.Property` | `featureValueProperty`
`static com.hp.hpl.jena.rdf.model.Resource` | `GraphType`
`static com.hp.hpl.jena.rdf.model.Resource` | `ModelType`
`static com.hp.hpl.jena.rdf.model.Property` | `pArgName`
`static com.hp.hpl.jena.rdf.model.Property` | `pArgs`
`static com.hp.hpl.jena.rdf.model.Property` | `pArgValue`
`static com.hp.hpl.jena.rdf.model.Property` | `pClassname`
`static com.hp.hpl.jena.rdf.model.Property` | `pConnection`
`static com.hp.hpl.jena.rdf.model.Property` | `pDataset`
`static com.hp.hpl.jena.rdf.model.Property` | `pDriver`
`static com.hp.hpl.jena.rdf.model.Property` | `pGraphData`
`static com.hp.hpl.jena.rdf.model.Property` | `pJDBC`
`static com.hp.hpl.jena.rdf.model.Property` | `pLayout`
`static com.hp.hpl.jena.rdf.model.Property` | `pMain`
`static com.hp.hpl.jena.rdf.model.Property` | `pModelRDBname`
`static com.hp.hpl.jena.rdf.model.Property` | `pMySQLEngine`
`static com.hp.hpl.jena.rdf.model.Property` | `pNamedGraph1`
`static com.hp.hpl.jena.rdf.model.Property` | `pNamedGraph2`
`static com.hp.hpl.jena.rdf.model.Property` | `pOutputFormat`
`static com.hp.hpl.jena.rdf.model.Property` | `pPoolSize`
`static com.hp.hpl.jena.rdf.model.Property` | `pQuery`
`static com.hp.hpl.jena.rdf.model.Property` | `pQueryFile`
`static com.hp.hpl.jena.rdf.model.Property` | `pQueryString`
`static com.hp.hpl.jena.rdf.model.Property` | `pRDBtype`
`static com.hp.hpl.jena.rdf.model.Property` | `pSDBhost`
`static com.hp.hpl.jena.rdf.model.Property` | `pSDBname`
`static com.hp.hpl.jena.rdf.model.Property` | `pSDBpassword`
`static com.hp.hpl.jena.rdf.model.Property` | `pSDBtype`
`static com.hp.hpl.jena.rdf.model.Property` | `pSDBuser`
`static com.hp.hpl.jena.rdf.model.Property` | `pSteps`
`static com.hp.hpl.jena.rdf.model.Property` | `pStore`
`static com.hp.hpl.jena.rdf.model.Resource` | `QueryAssemblerType`
`static com.hp.hpl.jena.rdf.model.Resource` | `SDBConnectionAssemblerType`
`static com.hp.hpl.jena.rdf.model.Resource` | `StoreAssemblerType`

Constructor Summary
`AssemblerVocab()`

Method Summary
`static String` | `getURI()`
`static void` | `init()`
`static void` | `register(com.hp.hpl.jena.assembler.assemblers.AssemblerGroup g)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SDBConnectionAssemblerType

    public static final com.hp.hpl.jena.rdf.model.Resource SDBConnectionAssemblerType

### StoreAssemblerType

    public static final com.hp.hpl.jena.rdf.model.Resource StoreAssemblerType

### DatasetAssemblerType

    public static final com.hp.hpl.jena.rdf.model.Resource DatasetAssemblerType

### ModelType

    public static final com.hp.hpl.jena.rdf.model.Resource ModelType

### GraphType

    public static final com.hp.hpl.jena.rdf.model.Resource GraphType

### pStore

    public static final com.hp.hpl.jena.rdf.model.Property pStore

### pDataset

    public static final com.hp.hpl.jena.rdf.model.Property pDataset

### pGraphData

    public static final com.hp.hpl.jena.rdf.model.Property pGraphData

### pNamedGraph1

    public static final com.hp.hpl.jena.rdf.model.Property pNamedGraph1

### pNamedGraph2

    public static final com.hp.hpl.jena.rdf.model.Property pNamedGraph2

### pSteps

    public static final com.hp.hpl.jena.rdf.model.Property pSteps

### pMain

    public static final com.hp.hpl.jena.rdf.model.Property pMain

### pClassname

    public static final com.hp.hpl.jena.rdf.model.Property pClassname

### pArgs

    public static final com.hp.hpl.jena.rdf.model.Property pArgs

### pArgName

    public static final com.hp.hpl.jena.rdf.model.Property pArgName

### pArgValue

    public static final com.hp.hpl.jena.rdf.model.Property pArgValue

### QueryAssemblerType

    public static final com.hp.hpl.jena.rdf.model.Resource QueryAssemblerType

### pQuery

    public static final com.hp.hpl.jena.rdf.model.Property pQuery

### pQueryFile

    public static final com.hp.hpl.jena.rdf.model.Property pQueryFile

### pQueryString

    public static final com.hp.hpl.jena.rdf.model.Property pQueryString

### pOutputFormat

    public static final com.hp.hpl.jena.rdf.model.Property pOutputFormat

### pDriver

    public static final com.hp.hpl.jena.rdf.model.Property pDriver

### pSDBtype

    public static final com.hp.hpl.jena.rdf.model.Property pSDBtype

### pSDBhost

    public static final com.hp.hpl.jena.rdf.model.Property pSDBhost

### pSDBname

    public static final com.hp.hpl.jena.rdf.model.Property pSDBname

### pRDBtype

    public static final com.hp.hpl.jena.rdf.model.Property pRDBtype

### pJDBC

    public static final com.hp.hpl.jena.rdf.model.Property pJDBC

### pPoolSize

    public static final com.hp.hpl.jena.rdf.model.Property pPoolSize

### pSDBuser

    public static final com.hp.hpl.jena.rdf.model.Property pSDBuser

### pSDBpassword

    public static final com.hp.hpl.jena.rdf.model.Property pSDBpassword

### pLayout

    public static final com.hp.hpl.jena.rdf.model.Property pLayout

### pConnection

    public static final com.hp.hpl.jena.rdf.model.Property pConnection

### featureProperty

    public static final com.hp.hpl.jena.rdf.model.Property featureProperty

### featureNameProperty

    public static final com.hp.hpl.jena.rdf.model.Property featureNameProperty

### featureValueProperty

    public static final com.hp.hpl.jena.rdf.model.Property featureValueProperty

### pMySQLEngine

    public static final com.hp.hpl.jena.rdf.model.Property pMySQLEngine

### pModelRDBname

    public static final com.hp.hpl.jena.rdf.model.Property pModelRDBname

Constructor Detail

### AssemblerVocab

    public AssemblerVocab()

Method Detail

### getURI

    public static String getURI()

### init

    public static void init()

### register

    public static void register(com.hp.hpl.jena.assembler.assemblers.AssemblerGroup g)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.